class Common{
	constructor() {
	    
	}
	
	//跳转
	navTo(url){
		uni.navigateTo({
			url:url
		})
	}	
	
	goback(url){
	 var page = getCurrentPages();
	 let windpowerstationName =  uni.getStorageSync('windpowerstationName');
	 page[0].$vm.address = windpowerstationName;
	 	 if(windpowerstationName=="宁夏新能源公司"){
	 	 	 	page[0].$vm.FDC="0";
	 	 	 }
	 	 	 if(windpowerstationName=="麻黄山风电场"){
	 	 	 	page[0].$vm.FDC="MHS_FDC";
	 	 	 }
	 	 	 if(windpowerstationName=="牛首山风电场"){
	 	 	 	page[0].$vm.FDC="NSS_FDC";
	 	 	 }
	 	 	 if(windpowerstationName=="石板泉风电场"){
	 	 	 	page[0].$vm.FDC="SBQ_FDC";
	 	 	 }
	 	 	 if(windpowerstationName=="青山风电场"){
	 	 	 	page[0].$vm.FDC="QS_FDC";
	 	 	 }
	 	 	 if(windpowerstationName=="香山风电场"){
	 	 	 	page[0].$vm.FDC="XS_FDC";
	 	 	 }
	 		 page[0].target_comprehensive_indicators();
			 page[0].target_windSpeed_power();
			 page[0].index_windturbine_status();
			 page[0].index_electricQuantity();
			 page[0].index_target_basic_indicators();
	
  //    uni.showModal({
		// 		title: '提示',
		// 		content: page,
		// 		success: function (res) {
		// 			if (res.confirm) {
		// 				console.log('用户点击确定');
		// 			} else if (res.cancel) {
		// 				console.log('用户点击取消');
		// 			}
		// 		}
		// 	});
		
		// uni.switchTab({
			
		// 	url: url,success: function(e) {				
		// 		//if (page[0] == undefined || page[0] == null) return;
		// 			page[page.length-1].onLoad();
		// 		}
				
		// })
		
		
	}
	
	
}

let common = new Common();
export default common;